Uploaded image for project: 'Maven'
  1. Maven
  2. MNG-5282

Maven 3.0.4 - Displays warning in case we use .SNAPSHOT in version instead of -SNAPSHOT

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Incomplete
    • Affects Version/s: 3.0.4
    • Fix Version/s: None
    • Component/s: General
    • Labels:
      None

      Description

      Maven 3.0.4 - Displays warning in case we use .SNAPSHOT in version instead of -SNAPSHOT

      How we can handle for OSGi jar as they don't support -SNAPSHOT?

      FYI, We use maven bundle plugin, pde maven plugins to create OSGi bundle.

      I can see following jira addressed to show the warning.

      MNG-4957 - Emit validation warning when project version uses irregular SNAPSHOT version string

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              saplenm Nilesh S
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: